%mingw_package

%define pkgname smpeg

Name: %cross_arch-%pkgname
Version: 0.4.4
Release: alt1

Summary: %pkgname DLL for %cross_arch target
License: LGPL
Group: System/Libraries
Url: http://www.lokigames.com/development/smpeg.php3

BuildArch: noarch

Source0: %url/release/%pkgname-%version.tar.bz2
Patch0: %pkgname-0.4.4-alt-mingw-fixes.patch

BuildPreReq: i386-mingw32msvc-SDL i386-mingw32msvc-SDL-devel
BuildPreReq: i386-mingw32msvc-binutils i386-mingw32msvc-gcc-c++
BuildPreReq: i386-mingw32msvc-runtime

%package devel
Summary: Header files for developing apps which will use %pkgname
Group: Development/C
PreReq: %cross_arch-base
# smpeg-config uses sdl-config
Requires: %cross_arch-SDL
Conflicts: %name < %version-%release
Conflicts: %name > %version-%release

%package devel-static
Summary: Static %pkgname library for %cross_arch target
Group: Development/C
PreReq: %cross_arch-base
Requires: %name-devel = %version-%release

%description
This package contains %pkgname DLL built for %cross_arch target.

%description devel
%pkgname development files for crosscompiling to
%cross_arch target.

%description devel-static
Static version of %pkgname library for %cross_arch target.

%prep
%setup -q -n %pkgname-%version
%patch0 -p1
%__rm -f aclocal.m4
%__subst '/^## libtool\.m4/,/ifelse(\[AC_DISABLE_FAST_INSTALL\])dnl/d' acinclude.m4
%__subst 's,AC_PROG_CXX,\0\nAM_PROG_AS,' configure.in
%__aclocal
%__autoconf
%__automake --foreign --add-missing

%build
%configure \
	--disable-gtk-player \
	--disable-opengl-player \
        --prefix=%_archprefix \
        --includedir=%_archincludedir \
        --libdir=%_archlibdir \
 	--enable-shared \
	--enable-static \
        SDL_CONFIG=%_bindir/%cross_arch-sdl-config \
	NM=%cross_arch-nm \
	%cross_env
%make_build

%install
%make_install install DESTDIR=%buildroot
%__mv %buildroot%_bindir/%pkgname-config %buildroot%_bindir/%cross_arch-%pkgname-config

%cross_arch-strip --strip-unneeded %buildroot%_archbindir/*.dll
%cross_arch-strip --strip-unneeded %buildroot%_archlibdir/*.dll.a

%files
%_archbindir/*.dll

%files devel
%_bindir/%cross_arch-%pkgname-config
%_archincludedir/*
%_archlibdir/*.dll.a
#%%_archdatadir/aclocal/*.m4

%files devel-static
%_archlibdir/*.a
%exclude %_archlibdir/*.dll.a

%changelog
* Wed Dec 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.4.4-alt1
- built for %cross_arch target